package io.tswf.transmutations.common.annotation

import groovy.transform.CompileStatic;

@CompileStatic
enum Primitive {
    BYTE(byte.class),
    SHORT(short.class),
    INT(int.class),
    LONG(long.class),
    FLOAT(float.class),
    DOUBLE(double.class),
    BOOLEAN(boolean.class),
    CHAR(char.class),
    VOID(void.class)
    ;

    Class javaClass

    Primitive(Class javaClass) {
        this.javaClass = javaClass
    }
}
